

function llamarcontrol(){

	var formdata = new FormData();
 	formdata.append("keyemp", VGkeyApi);
	formdata.append("numero",VGnumero);
	formdata.append("chkfte",VGchkfte);
	formdata.append("documento",VGdocumento);
	formdata.append("prefijo",VGprefijo);
	formdata.append("empresa",VGempresa);
	formdata.append("accion",VGaccion);
 	var ajax = new XMLHttpRequest();
  	ajax.upload.addEventListener("progress", progressHandler, false);
   	ajax.addEventListener("load", completeHandler, false);
   	ajax.addEventListener("error", errorHandler, false);
   	ajax.addEventListener("abort", abortHandler, false);
	console.log(formdata);
   	ajax.open("POST", "control.php");
   	ajax.send(formdata);

}
function dataicofe() {
	alert("entra dataico")
	//VGdocumento=document.getElementById("tdocumento").value
	//VGempresa=document.getElementById("tempresa").value
	//VGnumero=document.getElementById("tnumero").value
	//VGprefijo=document.getElementById("tprefijo").value
	if (VGdocumento!="" && VGempresa!=""){ 
		url="&tipo="+"l";
		url+="&documento="+VGdocumento;
		url+="&tipod="+VGtipod;
		url+="&empresa="+VGempresa;
	
		console.log(url);
		doAjax('https://www.miayudaapp.com/new/controllers/control.php',url,'resp_fe_dat','gets','0','Ccargar');
	}else{alert("Debe seleccionar Factura y empresa")}
}

function resp_fe_dat(ResTex) {
	console.log(ResTex);
	
	//return
	
	var Api_url=''
	
	//Detalle="";
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			alert("f");
			JsonFe=ResTex;
			var oJsonDatos = JSON.parse(JsonFe);
	        var NJsonItem=oJsonDatos.Datos.length;
			RowArray=0
			var Datofe=oJsonDatos.Datos[RowArray].estructura;
			VGkeyApi=oJsonDatos.Datos[RowArray].keyfel;
			//myHeaders.append("auth-token",VGkeyApi);
			VGrutaApi=oJsonDatos.Datos[RowArray].rutfel;
			Api_url=VGrutaApi+oJsonDatos.Datos[RowArray].modope;
			
		}else{
			alert("no hay registro de este documento");
			return
	   	}
	}else{
		alert("no hay registro de este documento");
		return
    }
	
	alert(Api_url)
	
	
	
	var myHeaders = new Headers({
  		"Content-Type": "application/json",
  		"auth-token": "a4afb1e20e856e8fb031b487efbfd239",
		"Access-Control-Allow-Origin": "*"
		});
	console.log(myHeaders)
	console.log(Api_url)
	fetch(Api_url, {
  		method: 'POST',
		headers: myHeaders,
  		body:Datofe
	})
	.then(res => res.json())
  	.then(response => {
	  console.log(response)
	  //mostrar_fe(VGnumero,myHeaders)
	  } )
  	.catch(error => console.error('Error:', error))
}


  
  